Complete an item order
curl --request POST \
--url https://api.gameboost.com/v2/item-orders/{itemOrder}/complete \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gameboost.com/v2/item-orders/{itemOrder}/complete"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gameboost.com/v2/item-orders/{itemOrder}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"item_offer_id": 123,
"game": {
"id": 123,
"name": "<string>",
"slug": "<string>"
},
"buyer": {
"id": 123,
"username": "<string>"
},
"rating": {
"id": 123,
"labels": [
"<string>"
],
"rating": 123,
"comment": "<string>",
"created_at": 123,
"updated_at": 123
},
"title": "<string>",
"description": "<string>",
"quantity": 123,
"parameters": {},
"is_disputed": true,
"dispute_case_id": 123,
"delivery_time": {
"duration": 123,
"format": "<string>",
"format_long": "<string>",
"seconds": 123
},
"credentials": {
"username": "CharacterName",
"server": "EU"
},
"price_eur": "<string>",
"price_usd": "<string>",
"unit_price_eur": "<string>",
"unit_price_usd": "<string>",
"created_at": 123,
"updated_at": 123,
"purchased_at": 123,
"completed_at": 123,
"refunded_at": 123
},
"message": "<string>",
"action": "<string>"
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "Resource not found."
}{
"message": "Too many requests."
}Item Orders
Complete an item order
Mark the item order as completed after delivering the items to the buyer. Buyer will be notified automatically.
POST
/
v2
/
item-orders
/
{itemOrder}
/
complete
Complete an item order
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the item order. Can be retrieved from the list of item orders, or from the parent item offer, or from webhooks.
Was this page helpful?
⌘I